14 m4macros/introspection.m4 \
21 noinst_HEADERS = config.h package_revision.h
23 dist-pre-hook: package_revision.h
25 $(AM_V_at)echo "error: gtk-doc must be installed and enabled in order to make dist"
26 $(AM_V_at)echo "re-run ./configure with --enable-gtk-doc switch and try again"
29 $(AM_V_at)if [ ! -f "$(top_builddir)libpurple/libpurple.la" ]; then \
30 $(MAKE) -C libpurple libpurple.la; \
32 $(AM_V_at)if [ ! -f "$(top_builddir)libpurple/protocols/facebook/libfacebook.la" ]; then \
33 $(MAKE) -C libpurple/protocols/facebook libfacebook.la; \
36 $(AM_V_at)if [ ! -f "$(top_builddir)finch/libgnt/libgnt.la" ]; then \
37 $(MAKE) -C finch/libgnt libgnt.la; \
39 $(AM_V_at)if [ ! -f "$(top_builddir)finch/libfinch.la" ]; then \
40 $(MAKE) -C finch libfinch.la; \
44 $(AM_V_at)if [ ! -f "$(top_builddir)pidgin/libpidgin.la" ]; then \
45 $(MAKE) -C pidgin libpidgin.la; \
52 rm $(distdir)/config.h
55 (cd po ; intltool-update -m 2>&1 | grep -v '^mismatched quotes.*\.py$$' | sed "s|current directory|po directory|" | grep . ; if [ $$? = 0 ] ; then exit 1 ; else exit 0 ; fi)
57 # Ensure these files are sorted and contain no duplicates:
58 LC_ALL=C sort -c -t/ -u po/POTFILES.in
59 LC_ALL=C sort -c -t/ -u po/POTFILES.skip
61 # Ensure COPYRIGHT is 100% UTF-8
62 iconv -f utf8 -t utf8 COPYRIGHT | cmp COPYRIGHT -
65 # Ensure our version string does not contain "dev"
66 test x`echo $(PACKAGE_VERSION) | grep dev` = x
68 # Ensure ChangeLogs have the correct version
69 head ChangeLog | grep "^version $(PACKAGE_VERSION) (.*):$$" >/dev/null
70 head ChangeLog.API | grep "^version $(PACKAGE_VERSION):$$" >/dev/null
72 # Ensure we're working from a tag...
73 test x`hg log -r "tag($(PACKAGE_VERSION))" --template "{node}"` = x`hg log -r . -T '{node}'`
74 # ... and have no changes in the working copy.
75 test "x`hg st -mard`" = x
78 gpg -ab pidgin-$(PACKAGE_VERSION).tar.gz
79 gpg -ab pidgin-$(PACKAGE_VERSION).tar.bz2
80 gpg --verify pidgin-$(PACKAGE_VERSION).tar.gz.asc pidgin-$(PACKAGE_VERSION).tar.gz
81 gpg --verify pidgin-$(PACKAGE_VERSION).tar.bz2.asc pidgin-$(PACKAGE_VERSION).tar.bz2
83 release: commit-check version-check distcheck sign-packages
97 # We always try to rebuild all objects that depends on this dummy target.
100 # if both attempts fail, then we need to remove the empty file that >
101 # creates, and also make sure that the shell command exits
102 # successfully; the rm -f ensures both
103 package_revision_raw.txt: .FORCE
104 $(AM_V_GEN)REAL_BLDDIR=$$PWD/$(top_builddir); \
105 (hg --cwd $(srcdir) log -r . -T {node}) 2>/dev/null >$@.new \
107 $(AM_V_at)if test -f $@.new; then \
108 if ! test -f "$@" || ! diff "$@" "$@".new > /dev/null ; then \
114 package_revision.h: package_revision_raw.txt
115 $(AM_V_GEN)if test -f $<; then \
116 echo "#define REVISION \"`cat $<`\"" > $@; \
118 $(AM_V_at)if test ! -f $@ -a -f $(srcdir)/$@; then \
119 cp $(srcdir)/$@ $@; \
121 $(AM_V_at)test -f $@ || echo "#define REVISION \"unknown\"" > $@
123 # This is a magic directive copy-and-pasted, then modified, from the
124 # automake 1.9 manual, section 13.4, "Checking the distribution".
125 # Normally, 'distcheck' does a clean build, and then afterwards runs
126 # 'distclean', and 'distclean' is supposed to remove everything that
127 # the build created. However, we have some targets (package_revision.txt)
128 # that we distribute, but then always attempt to rebuild optimistically, and
129 # then if that fails fall back on the distributed versions. This
130 # means that 'distclean' should _not_ remove those files, since they
131 # are distributed, yet building the package will generate those files,
132 # thus automake thinks that 'distclean' _should_ remove those files,
133 # and 'distcheck' gets cranky if we don't. So basically what this
134 # line does is tell 'distcheck' to shut up and ignore those two files.
135 distcleancheck_listfiles = find . -type f -a ! -name package_revision.h
137 AM_DISTCHECK_CONFIGURE_FLAGS = --enable-gtk-doc
139 SUBDIRS = . m4macros libpurple $(GNT_DIR) $(GTK_DIR) $(PO_DIR) share/ca-certs share/sounds doc
141 DISTCLEANFILES= intltool-extract intltool-merge intltool-update \
142 package_revision_raw.txt